let app = new Vue({
  el: '#app',
  data() {
    return {
      year: '2022',
      mapName: 'shanxi',
      geoCoordMap: {},
      config1: {
        number: [100],
        content: '{nt}个',
      },
      storageRecordConfig: {
        header: ['项目名称', '投资金额', '所属产业', '项目进度', '完成比例'],
        headerBGC: '#05507b33',
        oddRowBGC: '#69c0ff0f',
        evenRowBGC: '',
        headerHeight: '40',
        rowNum: 4,
        align: ['center'],
        data: [
          ['工程建设项目', '21.2亿', '煤炭', '终止', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '退出', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
        ],
      },
      storageRecordConfig2: {
        header: ['项目名称', '投资金额', '所属产业', '项目进度', '完成比例'],
        headerBGC: '#05507b33',
        oddRowBGC: '#05507b33',
        evenRowBGC: '',
        headerHeight: '40',
        rowNum: 4,
        align: ['center'],
        data: [
          ['工程建设项目', '21.2亿', '煤炭', '终止', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '退出', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
          ['工程建设项目', '21.2亿', '煤炭', '进行中', '2.3%'],
        ],
      },
      companyList: [
        { name: '山西焦煤' },
        { name: '晋能控股' },
        { name: '华新燃气' },
        { name: '山西建投' },
        { name: '潞安化工' },
        { name: '华远陆港' },
        { name: '航产集团' },
        { name: '大地控股' },
        { name: '国新能源' },
        { name: '汾酒集团' },
        { name: '云时代' },
        { name: '神农科技' },
        { name: '华阳新材' },
        { name: '华舰体育' },
        { name: '交控集团' },
        { name: '文旅集团' },
        { name: '水控集团' },
        { name: '太重集团' },
      ],
    }
  },
  mounted() {
    // 左侧图表
    this.initChartL1()
    this.initChartL2()
    this.initChartR1()
    this.initChinaChart()
  },
  methods: {
    convertData(data) {
      var res = []
      for (var i = 0; i < data.length; i++) {
        var geoCoord = this.geoCoordMap[data[i].name]
        if (geoCoord) {
          res.push({
            name: data[i].name,
            value: geoCoord.concat(data[i].value),
          })
        }
      }
      return res
    },
    initChinaChart() {
      var data = [
        { name: '吕梁市', value: 150 },
        { name: '大同市', value: 190 },
        { name: '忻州市', value: 140 },
        { name: '朔州市', value: 160 },
        { name: '晋中市', value: 100 },
        { name: '太原市', value: 300 },
        { name: '临汾市', value: 190 },
        { name: '长治市', value: 100 },
        { name: '晋城市', value: 280 },
        { name: '运城市', value: 180 },
        { name: '阳泉市', value: 110 },
      ]

      var moveLine = {
        normal: [
          {
            fromName: '太原市',
            toName: '吕梁市',
            coords: [
              [112.3352, 37.9413],
              [111.3574, 37.7325],
            ],
          },
          {
            fromName: '太原市',
            toName: '忻州市',
            coords: [
              [112.3352, 37.9413],
              [112.4561, 38.8971],
            ],
          },
          {
            fromName: '太原市',
            toName: '临汾市',
            coords: [
              [112.3352, 37.9413],
              [111.4783, 36.1615],
            ],
          },
          {
            fromName: '太原市',
            toName: '阳泉市',
            coords: [
              [112.3352, 37.9413],
              [113.4778, 38.0951],
            ],
          },
          {
            fromName: '太原市',
            toName: '晋中市',
            coords: [
              [112.3352, 37.9413],
              [112.7747, 37.37],
            ],
          },
          {
            fromName: '太原市',
            toName: '运城市',
            coords: [
              [112.3352, 37.9413],
              [111.1487, 35.2002],
            ],
          },
          {
            fromName: '太原市',
            toName: '大同市',
            coords: [
              [112.3352, 37.9413],
              [113.7854, 39.8035],
            ],
          },
          {
            fromName: '太原市',
            toName: '晋城市',
            coords: [
              [112.3352, 37.9413],
              [112.7856, 35.6342],
            ],
          },
          {
            fromName: '太原市',
            toName: '长治市',
            coords: [
              [112.3352, 37.9413],
              [112.8625, 36.4746],
            ],
          },
          {
            fromName: '太原市',
            toName: '朔州市',
            coords: [
              [112.3352, 37.9413],
              [113.0713, 39.6991],
            ],
          },
        ],
      }
      /*获取地图数据*/
      let myChart = echarts.init(this.$refs['echarts-map'])
      echarts.registerMap('shanxi', {
        type: 'FeatureCollection',
        features: [
          {
            type: 'Feature',
            id: '1409',
            properties: { name: '忻州市', cp: [112.4561, 38.8971], childNum: 14 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@Vx@lnbn¦WlnnUm°²VVVVVnUnºlz@l@J@kXWVXl@La@KULlbnKlLnKLnKÆXn°bVV@bUVl°Un@LnaVJUbW@UX²l@ČwlVVIWnkÆa°anVKn°UW¯@aVUVk@Un@aV@ValwUanmWUk@WVUUanaVwnLVl°@nk@mVU@UVK@wLVKVU@K@UUKVUV@@bnLaVaôlIXmlKX_°KVV@bVV@zV`kblIVUlL@bnV@VĊllVlIXW@kaU²blKVnIlJalbXXlWVn°JnnL@l@XlJlaX@XW²@l_VmnKUblU@mnkVK¯@U@ma@kX¥VmakkLa@a@WIUUVXWWnk@a°a@kkm@kUUmJm@WUUUIk`m@VkaWWkXKmXk¯@WKLkak@±bw@aa@aka@ma¯@LKÇÅkKWbkmġ±ÅULUKVVkm¯LUVVbUwUW¯bmULxWJ@klmkUm@@KnwVkVK@akw@@a¯bKknVUIb¯mmbk@UbmKUL@xUU@klmLUlVXIVVVUVUU`mLXVWbXnW`Å²°xmxU@mĉwU@mbU@UmbkVW¦kJ@X@`¯Im@UlUVVnb@bWJXnmbJUUUUa@UamIkax@@x@b',
              ],
              encodeOffsets: [[113614, 39657]],
            },
          },
          {
            type: 'Feature',
            id: '1411',
            properties: { name: '吕梁市', cp: [111.3574, 37.7325], childNum: 13 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@@a@w@wlbnJVb@VbVVVInaWmXI@aaUmVUVkn@°J@_W@lIX¥lUnaVV@naV@xĊnV@wn¯wÆ±X_WmXaWUnKV_VVUUUUWJkUVnKlk¯@@kmKUaÅ±KkU@WmI@WUIlUUmVwXw@UlUVwV@LnbW@anU@UaVkô@l»n@naJnUÈLVaÆUUVmVKV²L@mU_lK@UVWkUa@a@U¯aUaÑóÑUbKk@@ak¯mVaUwVÑkWUmK@UUKmXUWÝwUaLUU@aWJUUU@UaÝU@WL@VKVaVI@WnU@alIVK@kImIkJ@m@@@_K@x@kaW@U@Vmn@UK@mIJUXV¤XXWlkKkkK@XmJVakImJU@ó¯LWKUV@nUVLkxmKkLma@kXKmmLabLmK@V@mXVÆUxX@`nLaV@@VmLUVnLlLb@°²nx@bVUxlb@V¯bUV@zVXVĊXVx@lVn@VnnmU@LlJXVz¯VWVXbV@bmnVUVkÇþÅ@XVxmbUlVUlnW@Xl@VLXÒ@bÞJ°¦Lò@nUb@°X@XbmVUVnb@xx',
              ],
              encodeOffsets: [[113614, 39657]],
            },
          },
          {
            type: 'Feature',
            id: '1410',
            properties: { name: '临汾市', cp: [111.4783, 36.1615], childNum: 17 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@nW@@UnLKabKnnWL@lnblKnLlwKVU@mVUXL°KôV@nIlJUbnI@WlLllLXkWWU£VWInJ@VL@nm@UVX@lb@@wL@`@n@V@lw@nVmVXWmwnUla@_lKwVlUn°xVKVXXWlUVVI@K@Kn°KwlVlU@kna@V_WnmUVm@kXml_@mLlKXw°m@_ôJVUV@Xl@UaV@Va°Ilk»VwUkVmwUmmVn@V¯@KUwmK@U¯wUVÝ@mJUnWK@@UnKVa_lykUmKÛnm@x@UUlwVkXW@a@U@@K@kIVnammVakUl@wX@@k¯@VVbml@°UbULmlVbnbÅK±VKVXUJWa@ULWaUU@@U@aWK@UkxUKLUUUJ±UkL@V±kk@kam@UV@l@LWl@n@VVUxLlUUx@VUVU@aIUlL@°mLUbkUUaWUUaUU@aWKLWJ@bUL@VUVVbU@m@a@kmKmnĉlUKXWUblbxmIkU@xWb@lkVxLXmzVV@bklVVUzm@bk@Vx@xlU@lUbVnl@Wxnl@n@UbVmLmb@`X@lUX@@xlnkLWaUJnnWVVn@l@bULVV@lV@XnJVX',
              ],
              encodeOffsets: [[113063, 37784]],
            },
          },
          {
            type: 'Feature',
            id: '1407',
            properties: { name: '晋中市', cp: [112.7747, 37.37], childNum: 11 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@@lInJlJ@ULkJ@bmV@XUJUbL@UXKV@ÞVbV@VVXI@bVVKVbÞxVXnWVL@VnLVlXÒUVxUb°nl@bl@LVaôÒÒVb°b@VnLnnV@lmn@lbUV@JUVVXkl@lUzmJ@xXklbUnJVUbnUlbV@nlLX@lakV`Ub°@XVJnUL²KlxnI@KV@lbUbVVKnVl@zlm@U@nI@WUaVl@@mVU@XkW@nkVKV_Vwy@knwVa@XalU@Vnml@X@VLKVaÞbnnlJImVKnVVVInVlU@m@mXK@UmyUI@mWUUakamw@wUwmLkakwVmKw@wUam£y@am_W@UU@knmmamU@WUa@knw@UUUUV@nJm@mVUkKVUUUkKmwKULKUImV@lUnnm@mbUK@°bUnmbUmkkWUb@am@UXkK@a±@V@ĉÅVUXVxUVkLWl¯@@bULUlm@@nm`XlWakIkmVUbUL@Vm@kI@@Km@VaXI@W@aU@kUVU_KbJkkÇb@nkKmLwÅW@kVUUVU@WUIJmIXmma@_kyVaUUlkUm@kUx¯Lm@L@LUJUkVWXUWUL¯wVmUkxkL@`bkmVnxXUWUnm@kxU@',
              ],
              encodeOffsets: [[114087, 37682]],
            },
          },
          {
            type: 'Feature',
            id: '1408',
            properties: { name: '运城市', cp: [111.1487, 35.2002], childNum: 13 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@VlnJwkaVaXWVLĊknmnLl@@bnV@UaVU@UVK@aXIKXL@bVVVbXVVblVaVnK@¯KVkJ@bVVU@UVwkVKVwUUm@@Xk@K@kVUn@lbl@²l@UlK²VVIVVKVLlw@VXL@b@VV@VXbVK@XbVIUWLU²ÆLmaUankVKVa¯@nkUaU°@n@@kWaUVaXUW@IXKVw@UWU@W@@UUU@mn@`m@UUULkUmJIU@@UK@U@anak_@wmKUwmakVkmKVk¯bw`kwUIÇx¯»ÇaÅmn@@mmUkV@wkKW@kxmLUkĉLÝkxÝw¯lóVUmV@ĀVVX¦W¤kz@`Vx°²ĸ@Ul@xêĸǊ°¤VVlXLWnXxmV@nUl@',
              ],
              encodeOffsets: [[113232, 36597]],
            },
          },
          {
            type: 'Feature',
            id: '1402',
            properties: { name: '大同市', cp: [113.7854, 39.8035], childNum: 8 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@²£yl@ČĖ@bĸĢbĸXaKŤnn@ŎôllÈxnVnÞÇV@bnXllL°KbVb@J@b@UxlKXLlKlXk@UlkJlkUVKXUÇVIVm@_nÇLalwVnU@UUwma@aaÝaLmUk@@W@U@@XwVWÝUUUk@@VmLKV»nwUwaUL@`mzJUIVUaUwKUaVIlJôanÑlLVUn@a@VV@@UUwVK°Vn_lJÆLéW@UUUÅ@»lm@aÞIVwXWUUkkm@U@aU@mwU£VWU_kWmXwW_°yUkkK@UÇK@kkUVymóKU@KWIbUak@mJ@bkbmLkUmkVUW¦@lnb@@V°ULml@nkVaVmLUnk`±@XWW@kbÇ¦X¯WxI@xmbmxXlWV@bÅUz@Jb@bÞbU@Wbk@xk@WX¯VÛWÝbÝUkVUU@alI@a@akLWam@U¯UUmÇL@K@aU@¯VUkKmX@`@kJ@nVUb@lbVÆXVWULU`VbkLUV@XWl@bXJ@VbV@Vl',
              ],
              encodeOffsets: [[115335, 41209]],
            },
          },
          {
            type: 'Feature',
            id: '1404',
            properties: { name: '长治市', cp: [112.8625, 36.4746], childNum: 12 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@UkLky@IJVa@mÞaWy@_W@_WXVlUVw@nw°K@mUVamVkU@mmmnLVUmKXaU@IlKVUnK@UmWkX@WV_V@akU@aKWIXyIUVmUnUa@WaXUVKVmkUWVkULU@@VbKbIUm@mbVLxWUUkn±V¯wbÅJUbmLkbmKÅKbVnUbVKUbKUbmLKmbaKkUm@UnnVnxUVlUxl¼k¯JUbU@Vbk@WU@UVóI@`¯nWxkLK@nk`Wn@lUnVnmXU`@mb@lkV@VnklVVUblz@`nbWnnJIVJ@XUVVUV@lÆXxnKlL@maÈllIaLV`UlVV@@b@XJWUb@n@L@lJn@@UVKVaUlnlJXbkWn_@mn@VkVK@a°@XklKVUUwVWUĊÆ@U²@@blLVWn@@bVaXllVnnaVma@¯VLnan@mVm@knUVJ',
              ],
              encodeOffsets: [[116269, 37637]],
            },
          },
          {
            type: 'Feature',
            id: '1406',
            properties: { name: '朔州市', cp: [113.0713, 39.6991], childNum: 5 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@XXWVXVWnnlnn@èÆ¼@xlVnblVÈUVl@blnLÜĊmUkU@Ua@WI@aXk@WVUlKUaV_VKXWUUÅka@VaU@mlI@@_nWLVl°UV@@b@LÈKVn°V@VnXblK@b@bkJ@bVVlUÞVÞaXÜ°UXWl@wl@XaV@Ýa@aa@IVyÆ@aXUWknwna@wJXw°WÈ¥kI@W@kmKm¯IUmkXWWkabkImJUkL±aVb@lWXkJUkĉk@UmU@aKkVUkJlaU_y@UU@aUU¯LW`kLWnkJóbUbmK@aU@UVVL@VL@UVULK@xUL@VUV@nml¯@UkmKUxmbVbUV@XlXVmnVbkxUbU@bm@@VUlUVb°@VX¯m',
              ],
              encodeOffsets: [[114615, 40562]],
            },
          },
          {
            type: 'Feature',
            id: '1405',
            properties: { name: '晋城市', cp: [112.7856, 35.6342], childNum: 6 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@lVLbanLnKVaLVaLUVaUmaÆLnLlanKVaÆIa°x²UlmVVXwUKna@VnJaLa@UV@@alUkKVKnkmmVwUkw@@kxWUXW@@mk@aUa@a¯aLkKmwkUm@kL@K@aWIXmVXWkUVakL@UVKw@aUK@UUKmLU@¯nKUwVUIWJUWmka@UXJk@UkmW@kLWKVx@bmI@VUaVU@a¯@UUmVKmX@±`kÝKVxUL±akL@VbLkKmV@XWVUbVXb@lm@@lW@@xklVUbnnmbUlJ@@L@@Vb@WXUlkxVV@wn@ÜmnLlVkz`UbmL@V@XLmVnIÞ@VU°x@VnLxV@LU°',
              ],
              encodeOffsets: [[115223, 36895]],
            },
          },
          {
            type: 'Feature',
            id: '1401',
            properties: { name: '太原市', cp: [112.3352, 37.9413], childNum: 5 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@@VV@wVKnLVal@na°naVJUlmL°a@b@lx@bULUlmx@Ln@lVknl@XIwKVn°aVXVxUaVU°KnUlUVLKÆV²ĢlnXalLÈÆLKUaVkUanmWUa@WwkUWU¯y¯Ñ@anIl@@aVUmIymULUUVakaU@@LmJkw±LKmVUI@W¯VaU_lkbW@kK@mUkaVmVaUIVmalkW@wnIVy@klkWUUVI@UVkam@knU@mmmK@bblVUX@VkLV`@n±KUULUnVVÅUbÇKmVImbm@k¼ó@Ulb@VmV@bXmaK@UUxkVV@xWUxVnkVVJ@XnJ@XlV²LÆVbnL@l@°',
              ],
              encodeOffsets: [[114503, 39134]],
            },
          },
          {
            type: 'Feature',
            id: '1403',
            properties: { name: '阳泉市', cp: [113.4778, 38.0951], childNum: 3 },
            geometry: {
              type: 'Polygon',
              coordinates: [
                '@@°@nb@lb@bbb@x²al@lbKXU@mkUWkkmUUVwV@XUW@naVklKXblKnLnLVanImaXKlLaV@U@KUKWalXK@£WKXUV@VUUUVW_V@W@@K@UIWmXUmULnJkImmÝaUbLK@UWk@mnU@kVWb@Ubmx@lzUx`UULml@XWl@UV@nk@UVb@XJm@@Vknyk@zJnUV@bk@mJ@b°Ò°zXVlVXx@bXVmnVbUlVb',
              ],
              encodeOffsets: [[115864, 39336]],
            },
          },
        ],
        UTF8Encoding: true,
      })
      var mapFeatures = echarts.getMap(this.mapName).geoJson.features
      mapFeatures.forEach(v => {
        // 地区名称
        var name = v.properties.name
        // 地区经纬度
        this.geoCoordMap[name] = v.properties.cp
      })

      myChart.setOption({
        tooltip: {
          padding: 15,
          enterable: true,
          transitionDuration: 1,
          formatter: (params, ticket, callback) => {
            let tipHtml = `
              <div class="tooltip-cont">
                <p>新开工：<span>工程建设项目</span></p>
                <p>总投资额：<span>21.455亿</span></p>
                <p>当前阶段：<span>可论证阶段</span></p>
                <p>时间节点：<span>2021.10-2022.10</span></p>
            </div>`
            return tipHtml
          },
        },
        geo: {
          show: true,
          map: 'shanxi',
          layoutCenter: ['50%', '50%'], //地图位置
          layoutSize: '100%',
          label: {
            normal: {
              show: false,
            },
            emphasis: {
              show: false,
            },
          },
          roam: false,
          itemStyle: {
            normal: {
              areaColor: '#1946a8',
              shadowColor: '#1946a8',
              borderWidth: 1, //设置外层边框
              borderColor: '#54c5e0',
              shadowOffsetX: 10,
              shadowOffsetY: 5,
              shadowBlur: 3,
            },
            emphasis: {
              areaColor: '#0b0098',
              borderColor: '#d4bc1d',
              borderWidth: 2, //设置外层边框
            },
          },
        },
        series: [
          {
            name: '散点',
            type: 'scatter',
            coordinateSystem: 'geo',
            data: this.convertData(data),
            symbolSize: function (val) {
              return 10
            },
            label: {
              normal: {
                formatter: '{b}',
                position: [10, 10],
                fontSize: 15,
                fontWeight: 600,
                fontStyle: 'italic',
                color: '#fff',
                show: true,
              },
              emphasis: {
                show: true,
              },
            },
            itemStyle: {
              normal: {
                color: '#000',
                borderWidth: 2,
                borderColor: '#fff',
              },
            },
          },
          {
            type: 'map',
            map: this.mapName,
            geoIndex: 0,
            aspectScale: 0.75, //长宽比
            showLegendSymbol: false, // 存在legend时显示
            label: {
              normal: {
                show: true,
              },
              emphasis: {
                show: false,
                textStyle: {
                  color: '#fff',
                },
              },
            },
            roam: true,
            itemStyle: {
              normal: {
                areaColor: '#031525',
                borderColor: '#3B5077',
              },
              emphasis: {
                areaColor: '#2B91B7',
              },
            },
            animation: false,
            data: data,
          },
          {
            name: '点',
            type: 'scatter',
            coordinateSystem: 'geo',
            zlevel: 6,
          },
          {
            name: 'Top 5',
            type: 'effectScatter',
            coordinateSystem: 'geo',
            data: this.convertData(
              data
                .sort(function (a, b) {
                  return b.value - a.value
                })
                .slice(0, 5)
            ),
            symbolSize: function (val) {
              return 15
            },
            showEffectOn: 'render',
            rippleEffect: {
              brushType: 'stroke',
            },
            hoverAnimation: true,
            label: {
              normal: {
                formatter: '{b}',
                position: 'left',
                show: false,
              },
            },
            itemStyle: {
              normal: {
                color: 'yellow',
                shadowBlur: 10,
                shadowColor: 'yellow',
              },
            },
            zlevel: 1,
          },
          {
            name: '线路',
            type: 'lines',
            zlevel: 2,
            effect: {
              show: true,
              period: 4, //箭头指向速度，值越小速度越快
              trailLength: 0.02, //特效尾迹长度[0,1]值越大，尾迹越长重
              symbol: 'arrow', //箭头图标
              symbolSize: 5, //图标大小
            },
            lineStyle: {
              normal: {
                color: '#00FFFF',
                width: 1,
                type: 'dashed',
                opacity: 0.5, //尾迹线条透明度
                curveness: -0.3, //尾迹线条曲直度
              },
            },
            data: moveLine.normal,
          },
        ],
      })
    },
    initChartL1() {
      let myChart = echarts.init(this.$refs['echartL1'])
      let option = {
        grid: {
          left: '10%',
          top: '18%',
          bottom: '12%',
          right: '8%',
        },
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'shadow',
          },
        },
        xAxis: {
          data: ['2018年', '2019年', '2020年', '2021年', '2022年', '2023年'],
          axisLine: {
            show: true, //隐藏X轴轴线
            lineStyle: {
              color: '#3D7495',
              width: 1,
            },
          },
          axisTick: {
            show: false, //隐藏X轴刻度
          },
          axisLabel: {
            show: true,
            textStyle: {
              color: 'rgba(255,255,255,0.6)', //X轴文字颜色
            },
          },
        },
        yAxis: [
          {
            type: 'value',
            name: '亿元',
            nameTextStyle: {
              color: '#FFF',
            },
            splitLine: {
              show: true,
              lineStyle: {
                color: '#68b4dd66',
                type: 'dashed',
              },
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#3D7495',
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: 'rgba(250,250,250,0.6)',
              },
            },
          },
        ],
        series: [
          {
            type: 'pictorialBar',
            barCategoryGap: '0%',
            symbol: 'path://M0,10 L10,10 C5.5,10 5.5,5 5,0 C4.5,5 4.5,10 0,10 z',
            label: {
              show: true,
              position: 'top',
              distance: 5,
              color: '#08DFFE',
              fontSize: 12,
            },
            itemStyle: {
              normal: {
                color: {
                  type: 'linear',
                  x: 0,
                  y: 0,
                  x2: 0,
                  y2: 1,
                  colorStops: [
                    {
                      offset: 0,
                      color: '#9A11FF',
                    },
                    {
                      offset: 1,
                      color: '#08DFFE',
                    },
                  ],
                  global: false, //  缺省为  false
                },
              },
              emphasis: {
                opacity: 1,
              },
            },
            data: [123, 60, 25, 18, 12, 9],
          },
        ],
      }

      myChart.setOption(option)
    },
    initChartL2() {
      let myChart = echarts.init(this.$refs['echartL2'])
      let option = {
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'shadow',
          },
        },
        grid: {
          top: '16%',
          right: '3%',
          left: '10%',
          bottom: '10%',
        },
        legend: {
          top: '1',
          right: '10',
          textStyle: {
            color: 'rgba(250,250,250,0.6)',
          },
        },
        xAxis: {
          data: ['山西焦煤', '山西文旅', '潞安化工', '晋能控股', '山西建投'],
          axisLine: {
            show: true, //隐藏X轴轴线
            lineStyle: {
              color: '#005094',
              width: 1,
            },
          },
          axisTick: {
            show: false, //隐藏X轴刻度
          },
          axisLabel: {
            show: true,
            textStyle: {
              color: 'rgba(255,255,255,0.6)', //X轴文字颜色
            },
          },
        },
        yAxis: [
          {
            type: 'value',
            nameTextStyle: {
              color: '#ebf8ac',
            },
            splitLine: {
              show: true,
              lineStyle: {
                color: '#68b4dd66',
                type: 'dashed',
              },
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: '#3D7495',
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: 'rgba(250,250,250,0.6)',
              },
            },
          },
        ],
        series: [
          {
            name: '计划投资',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#69c0ff',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: [900, 600, 500, 450, 500],
          },
          {
            name: '实际投资',
            type: 'bar',
            barWidth: 15,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: '#957DFF',
                  },
                  {
                    offset: 1,
                    color: '#082550',
                  },
                ]),
              },
            },
            data: [500, 900, 600, 800, 450],
          },
        ],
      }
      myChart.setOption(option)
    },
    initChartR1() {
      let myChart = echarts.init(this.$refs['echartR1'])
      let option = {
        tooltip: {
          trigger: 'item',
        },
        legend: {
          top: 'center',
          orient: 'vertical',
          right: '2%',
          textStyle: {
            color: '#9DB9EB',
          },
        },
        series: [
          {
            name: '',
            type: 'pie',
            radius: ['55%', '80%'],
            labelLine: {
              normal: {
                lineStyle: {
                  width: 1,
                },
              },
            },
            data: [
              { value: 1048, name: '煤炭' },
              { value: 735, name: '火电' },
              { value: 580, name: '焦化' },
              { value: 484, name: '风电' },
            ],
          },
        ],
      }
      myChart.setOption(option)
    },
  },
})
